Summary:	SPICE protocol headers
Summary(pl.UTF-8):	Pliki nagłówkowe protokołu SPICE
Name:		spice-protocol
Version:	0.12.10
Release:	1
License:	BSD
Group:		Development/Libraries
Source0:	http://www.spice-space.org/download/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	1fb9d0dcdd42dce1b476ae8aa7569bcc
URL:		http://www.spice-space.org/
BuildRequires:	python
BuildRequires:	python-pyparsing
BuildRequires:	python-six
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.446
BuildRequires:	sed >= 4.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Header files defining the SPICE protocol.

The Spice project aims to provide a complete open source solution for
interaction with virtualized desktop devices.

%description -l pl.UTF-8
Pliki nagłówkowe protokołu SPICE.

Celem projektu Spice jest dostarczenie pełnego, mającego otwarte
źródła rozwiązania do interakcji z wirtualizowanymi urządzeniami
biurkowymi.

%package codegen
Summary:	SPICE code generator
Summary(pl.UTF-8):	Generator kodu SPICE
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}
Requires:	python-pyparsing
Requires:	python-six

%description codegen
SPICE code generator.

%description codegen -l pl.UTF-8
Generator kodu SPICE.

%prep
%setup -q

%{__sed} -i -e '1s,/usr/bin/env python,%{__python},' spice_codegen.py

%build
# use arch-agnostic libdir
%configure \
	--libdir=%{_datadir} \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%py_comp $RPM_BUILD_ROOT%{_datadir}/spice-protocol
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/spice-protocol
%py_postclean %{_datadir}/spice-protocol/python_modules

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING NEWS 
%{_includedir}/spice-1
%dir %{_datadir}/spice-protocol
%{_datadir}/spice-protocol/spice.proto
%{_datadir}/spice-protocol/spice1.proto
%{_npkgconfigdir}/spice-protocol.pc

%files codegen
%defattr(644,root,root,755)
%attr(755,root,root) %{_datadir}/spice-protocol/spice_codegen.py
%{_datadir}/spice-protocol/spice_codegen.py[co]
%dir %{_datadir}/spice-protocol/python_modules
%{_datadir}/spice-protocol/python_modules/*.py[co]
%changelog
* Sun Oct 04 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/spice-protocol.git;a=log;h=master

* Fri Oct 02 2015 Jakub Bogusz <qboosh@pld-linux.org> cbb6b5e
- updated to 0.12.10
- added -codegen package

* Sat Aug 01 2015 Jakub Bogusz <qboosh@pld-linux.org> b0f253c
- updated to 0.12.9

* Wed Jul 01 2015 Jakub Bogusz <qboosh@pld-linux.org> 2b431f4
- updated to 0.12.8

* Fri May 23 2014 Jakub Bogusz <qboosh@pld-linux.org> 982f8ab
- updated to 0.12.7

* Fri Jul 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 702bb70
- updated to 0.12.6

* Fri Mar 08 2013 Jakub Bogusz <qboosh@pld-linux.org> 9cd53d6
- updated to 0.12.5

* Sat Feb 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 4eef9c2
- updated to 0.12.4

* Fri Jan 04 2013 Jakub Bogusz <qboosh@pld-linux.org> b51cc5e
- updated to 0.12.3

* Tue Sep 18 2012 Jakub Bogusz <qboosh@pld-linux.org> 6a9e3fc
- updated to 0.12.2

* Sun Sep 09 2012 Jakub Bogusz <qboosh@pld-linux.org> de8d641
- updated to 0.12.1

* Thu May 10 2012 Jakub Bogusz <qboosh@pld-linux.org> 6239ba1
- updated to 0.10.3

* Wed Jan 18 2012 Jakub Bogusz <qboosh@pld-linux.org> 0cb76cc
- updated to 0.10.1

* Sun Nov 13 2011 Jakub Bogusz <qboosh@pld-linux.org> 9d71e05
- updated to 0.10.0

* Thu Jul 21 2011 Jakub Bogusz <qboosh@pld-linux.org> 63af531
- updated to 0.8.1

* Fri Jul 15 2011 Jakub Bogusz <qboosh@pld-linux.org> 8ccc0e8
- Group fix (there exists only base package which is for development)

* Fri Jul 15 2011 Jakub Bogusz <qboosh@pld-linux.org> 93d54b2
- new

